!set title=Temps sans marquer les verbes d'abord
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=Bernadette Perrin-Riou
email=bpr@math.u-psud.fr
language=fr
computeanswer=no

ansorder=r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r,r
varcnt=83
prevarcnt=82
postvarcnt=0
replycnt=40
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=temps
tmp=!nonempty items $val6

tmp0=!randitem $tmp
val7=$(tmp0)
tmp0=!nosubst Donner le temps des verbes marqués.

val8=$(tmp0)
tmp0=!nosubst 

val9=$(tmp0)
val10=
val11=no
val12=no
val13=no
val14=
val15=background-color: #FFFFCC; margin: 2% 5%; padding: 2%;
val16=background-color: #FFCC99; color: black; margin: 2% 5%; padding: 2%;
val17=
val18=ol li {list-style: upper-alpha; }
val19=yes
val20=8
val21=
val22=1

!ifval $val8 issametext 
tmp0=!getdef instruction in $val7

val8= $(tmp0)
!endif

!ifval $val9 issametext 
tmp0=!getdef instruction2 in $val7

val9= $(tmp0)
!endif

!ifval $val20 issametext 
tmp0=!getdef size in $val7

val20= $(tmp0)
!endif

!ifval $val12 issametext 
tmp0=!getdef reading_file in $val7

val12= $(tmp0)
!endif
tmp0=!record 0 of $val12

val23=$(tmp0)
val24=aucune de ces possibilités

!ifval $val11 issametext 
tmp0=!getdef audio_file in $val7

val11= $(tmp0)
!endif

!ifval $val11 notsametext  and  $val11 notsametext no
!readproc slib/media/audio $val1/$val11 
tmp0=$slib_out
val25= 	<p align="center">$(tmp0)</p>
!endif

!ifval $val13 issametext 
tmp0=!getdef image_file in $val7

val13= $(tmp0)
!endif

!ifval $val13 notsametext  and  $val13 notsametext no
tmp0=!makelist <img src=$val1/x> for x in $val13

val26= 	$(tmp0)
!endif

!ifval $val14 issametext 
tmp0=!getdef video_file in $val7

val14= $(tmp0)
!endif

!ifval $val14 notsametext  and  $val14 notsametext no
val27= 	<a wims_target=external href="$val1/$val14">[video] </a></p>
!endif

!ifval $val10 issametext 
tmp0=!getdef choice in $val7

val28= $(tmp0)
!else
val28=$val10
!endif
val29=<style type="text/css">	 .question {$val15}	 .reponse {$val16}	 .oefstatement{$val17}	 $val18	 </style>	 
val30=case
val31=
val32=outside
val33=
val34=
val35=

!ifval $val35 notwordof 1 2 3 4 5 6 7 8 9 10 
val35= 1
!endif
tmp0=!recordcnt $val7

val36=$[rint($(tmp0))]
val37=1
val38=1
val39=3
val38=$[rint(min($val36,$val38))]
val37=$[rint(min($val38*$val37,$val36))]

!ifval $val19 issametext yes 
tmp0=!shuffle $val36

val40= $(tmp0) 
!else
tmp1=!makelist x for x = 1 to $val36

val40=	$(tmp1)
!endif
tmp=!trim 
val41=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val42=!translate internal $	\
$ to ;; in $tmp
val43=
tmp=!trim 
val44=!translate internal $	\
$ to ;; in $tmp
tmp=!trim 
val45=!translate internal $	\
$ to ;; in $tmp
val46=
val47=
!for val48 = 1 to $val38 
tmp0=!record $(val40[$val48]) of $val7

val47=$val47 <p>  $(tmp0)</p>
!next
tmp0=!embraced randitem $val47

val47=$(tmp0)
!readproc slib/text/markgroup $val47 
tmp0=$slib_out
tmp=!trim $(tmp0)
val47=!translate internal $	\
$ to ;; in $tmp
tmp=!trim $(val47[1..-4;])
val44=!translate internal $	\
$ to ;; in $tmp
val49=$(val47[-2;])
tmp0=!items2lines $val49

tmp=!trim $(tmp0)
val49=!translate internal $	\
$ to ;; in $tmp
tmp0=!replace internal &#44; by , in $val49

tmp=!trim $(tmp0)
val49=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val44

tmp0=!rowcnt $tmp
val50=$(tmp0)
tmp0=!rows2lines $val44

val51=$(tmp0)
tmp0=!lines2items $val51

val51=$(tmp0)
tmp0=!column 1 of $val44

val52=$(tmp0)
val47=$(val47[-3;])
tmp0=!itemcnt $val47

val46=$(tmp0)
tmp0=!items2words $val47

val53=$(tmp0)
val54=
!for val48  = 1 to $val50 
val55=$(val47[$(val44[$val48;])])
tmp0=!items2words $val55

val55=$(tmp0)
val54=$val54,$val55
!next
tmp0=!nonempty items $val54

val54=$(tmp0)
tmp0=!makelist r x for x = 1 to $val50

val56=$(tmp0)
val57=
val58=$[rint(0)]
!for val59  = 1 to $val46 
!if $val59 isitemof $val52 
val58=$[rint($val58+1)]
val57=$val57,$val58
!else
val57=$val57,0
!endif
!next
tmp0=!nonempty items $val57

val57=$(tmp0)
tmp0=!items2lines $val56

val60=$(tmp0)
oefsteps=$val60 
nextstep=!nosubst $val60 
!readproc oef/steps.proc
replytype1=$val30

replyoption1=nopunct noparenthesis 
replyname1=$(val54[1])
replygood1=$(val49[1;])
replytype2=$val30

replyoption2=nopunct noparenthesis 
replyname2=$(val54[2])
replygood2=$(val49[2;])
replytype3=$val30

replyoption3=nopunct noparenthesis 
replyname3=$(val54[3])
replygood3=$(val49[3;])
replytype4=$val30

replyoption4=nopunct noparenthesis 
replyname4=$(val54[4])
replygood4=$(val49[4;])
replytype5=$val30

replyoption5=nopunct noparenthesis 
replyname5=$(val54[5])
replygood5=$(val49[5;])
replytype6=$val30

replyoption6=nopunct noparenthesis 
replyname6=$(val54[6])
replygood6=$(val49[6;])
replytype7=$val30

replyoption7=nopunct noparenthesis 
replyname7=$(val54[7])
replygood7=$(val49[7;])
replytype8=$val30

replyoption8=nopunct noparenthesis 
replyname8=$(val54[8])
replygood8=$(val49[8;])
replytype9=$val30

replyoption9=nopunct noparenthesis 
replyname9=$(val54[9])
replygood9=$(val49[9;])
replytype10=$val30

replyoption10=nopunct noparenthesis 
replyname10=$(val54[10])
replygood10=$(val49[10;])
replytype11=$val30

replyoption11=nopunct noparenthesis 
replyname11=$(val54[11])
replygood11=$(val49[11;])
replytype12=$val30

replyoption12=nopunct noparenthesis 
replyname12=$(val54[12])
replygood12=$(val49[12;])
replytype13=$val30

replyoption13=nopunct noparenthesis 
replyname13=$(val54[13])
replygood13=$(val49[13;])
replytype14=$val30

replyoption14=nopunct noparenthesis 
replyname14=$(val54[14])
replygood14=$(val49[14;])
replytype15=$val30

replyoption15=nopunct noparenthesis 
replyname15=$(val54[15])
replygood15=$(val49[15;])
replytype16=$val30

replyoption16=nopunct noparenthesis 
replyname16=$(val54[16])
replygood16=$(val49[16;])
replytype17=$val30

replyoption17=nopunct noparenthesis 
replyname17=$(val54[17])
replygood17=$(val49[17;])
replytype18=$val30

replyoption18=nopunct noparenthesis 
replyname18=$(val54[18])
replygood18=$(val49[18;])
replytype19=$val30

replyoption19=nopunct noparenthesis 
replyname19=$(val54[19])
replygood19=$(val49[19;])
replytype20=$val30

replyoption20=nopunct noparenthesis 
replyname20=$(val54[20])
replygood20=$(val49[20;])
replytype21=$val30

replyoption21=nopunct noparenthesis 
replyname21=$(val54[21])
replygood21=$(val49[21;])
replytype22=$val30

replyoption22=nopunct noparenthesis 
replyname22=$(val54[22])
replygood22=$(val49[22;])
replytype23=$val30

replyoption23=nopunct noparenthesis 
replyname23=$(val54[23])
replygood23=$(val49[23;])
replytype24=$val30

replyoption24=nopunct noparenthesis 
replyname24=$(val54[24])
replygood24=$(val49[24;])
replytype25=$val30

replyoption25=nopunct noparenthesis 
replyname25=$(val54[25])
replygood25=$(val49[25;])
replytype26=$val30

replyoption26=nopunct noparenthesis 
replyname26=$(val54[26])
replygood26=$(val49[26;])
replytype27=$val30

replyoption27=nopunct noparenthesis 
replyname27=$(val54[27])
replygood27=$(val49[27;])
replytype28=$val30

replyoption28=nopunct noparenthesis 
replyname28=$(val54[28])
replygood28=$(val49[28;])
replytype29=$val30

replyoption29=nopunct noparenthesis 
replyname29=$(val54[29])
replygood29=$(val49[29;])
replytype30=$val30

replyoption30=nopunct noparenthesis 
replyname30=$(val54[30])
replygood30=$(val49[30;])
replytype31=$val30

replyoption31=nopunct noparenthesis 
replyname31=$(val54[31])
replygood31=$(val49[31;])
replytype32=$val30

replyoption32=nopunct noparenthesis 
replyname32=$(val54[32])
replygood32=$(val49[32;])
replytype33=$val30

replyoption33=nopunct noparenthesis 
replyname33=$(val54[33])
replygood33=$(val49[33;])
replytype34=$val30

replyoption34=nopunct noparenthesis 
replyname34=$(val54[34])
replygood34=$(val49[34;])
replytype35=$val30

replyoption35=nopunct noparenthesis 
replyname35=$(val54[35])
replygood35=$(val49[35;])
replytype36=$val30

replyoption36=nopunct noparenthesis 
replyname36=$(val54[36])
replygood36=$(val49[36;])
replytype37=$val30

replyoption37=nopunct noparenthesis 
replyname37=$(val54[37])
replygood37=$(val49[37;])
replytype38=$val30

replyoption38=nopunct noparenthesis 
replyname38=$(val54[38])
replygood38=$(val49[38;])
replytype39=$val30

replyoption39=nopunct noparenthesis 
replyname39=$(val54[39])
replygood39=$(val49[39;])
replytype40=$val30

replyoption40=nopunct noparenthesis 
replyname40=$(val54[40])
replygood40=$(val49[40;])
question=__EXECUTED_1692754_EXERCISE__
help=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()$val29 <p>$val8</p>	   
!if $val23 notsametext  
$() 
!read oef/special.phtml help reading,[à lire] 
$() 
!endif
$()	   
!if $val26 notsametext  
$() 
!read oef/special.phtml help image,[à regarder] 
$() 
!endif
$()	  $val25$val27	    
!if $val32=outside 
$()	     <div class="reponse">	      
!for m_s = 1 to $val46 
$()	       
!if $m_s notitemof $val51 
$()$(val47[$m_s]) 
!else
$() 	         
!if $m_s isitemof $val52 
$()	            
!if $(val57[$m_s]) = $m_step 
$()<font size=+1 color=blue>$(val54[$(val57[$m_s])])</font> 
!endif
$()	            
!if $(val57[$m_s]) < $m_step 
$()<font size=+1 color=green>$(val54[$(val57[$m_s])])</font> 
!endif
$()	            
!if $(val57[$m_s]) > $m_step 
$()$(val54[$(val57[$m_s])]) 
!endif
$()	       
!endif
$()	      
!endif
$()	     
!next
$()	    </div>	     <div class="question">	    
!for m_s = 1 to $val50 
$()	         
!if $m_s < $m_step 
$()<br> $(val54[$m_s]) : <font color=green><b>  $(val49[$m_s;])</b></font> 
!endif
$()	         
!if $m_s = $m_step 
$()	         <br> $(val54[$m_s]) :  
!read oef/embed.phtml reply $(val56[$m_s]),$val20 
$()	       
!endif
$()	    
!next
$()	   
!else
$()	  	    <div class="question">	     
!for m_s = 1 to $val46 
$()	       
!if $m_s notitemof $val51 or $(val57[$m_s]) > $m_step 
$()$(val47[$m_s]) 
!else
$() 	           
!if $m_s isitemof $val51 
$()	            
!if $(val57[$m_s]) = $m_step 
$()	               
!read oef/embed.phtml $(val56[$(val57[$m_s])]), $val20 
$()	              <font size=-1 color=red>$(val47[$m_s])</font>	             
!else
$() 	           <font color=green><b> $(val49[$(val57[$m_s]);])</b></font> 
!endif
$()	        
!endif
$()	     
!endif
$()	    
!next
$()	   </div>	   
!endif
$()	
$()
!exit

:hint
$()
$()
!exit

:help
$() 
!if $m_help_subject issametext reading or	$m_help_subject issametext image	or  $m_help_subject issametext  
$()	$val23 	$val26 
!endif
$()	
$()
!exit

:solution
$()
$()
!exit

:latex
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=8,20,23,25,26,27,29,32,46,47,49,50,51,52,54,56,57
embedcnt=4
